Subject: RE: [Megaco] RE: Default values of reserved value and reserved gr oup

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 7 May 2002 10:44:55 -0400

Here's what we actually added in Geneva, in section 6.2.4.  What I showed
below was actually added in previous isssues of the Implementor's Guide.

<quote>
In general, if a Descriptor is completely omitted from one of the
aforementioned Commands, the properties in that Descriptor retain their
prior values for the Termination(s) the Command acts on. On the other hand,
if some read/write properties are omitted from a Descriptor in a Command -
i.e., the Descriptor is only partially specified - those properties will be
reset to their default values for the Termination(s) the Command acts on
unless the package specifies other behavior. For more details, see section
7.1 dealing with the individual Descriptors.
</quote>

I think we still have a little ambiguity: section 7.1.1 has to be brought
completely into line with the 6.2.4 addition.

-----Original Message-----
From: Taylor, Tom-PT [CAR:B800:EXCH] 
Sent: Tuesday, May 07, 2002 10:37 AM
To: [email-masked]'
Cc: Megaco
Subject: [Megaco] RE: Default values of reserved value and reserved
group

If the descriptor is completely omitted, nothing changes.  Here is the
relevant quotation from the latest version of the document (which I am about
to submit as 3015corr-01).

From section 7.1.1:
<quote>
...
If a required descriptor other than the Audit descriptor is unspecified
(i.e., entirely absent) from a command, the previous values set in that
descriptor for that termination, if any, are retained.  In commands other
than Subtract, a missing Audit descriptor is equivalent to an empty Audit
Descriptor.  The behavior of the MG with respect to unspecified parameters
within a descriptor varies with the descriptor concerened, as indicated in
succeeding sections...
</quote>

In contrast to my reckless statement in my earlier note, here is the
situation on missing parameters, descriptor by descriptor:

Modem: nothing mentioned
Multiplex: nothing mentioned
TerminationState: nothing mentioned
LocalControl: in section 7.1.7 we have this:

<quote>
A new setting of the LocalControl Descriptor completely replaces the
previous setting of that descriptor in the MG.  Thus to retain information
from the previous setting the MGC must include that information in the new
setting.  If the MGC wishes to delete some information from the existing
descriptor, it merely resends the descriptor (in a Modify command) with the
unwanted information stripped out.
</quote>

Local and Remote: in section 7.1.8 we have this:

<quote>
A new setting of a Local or Remote Descriptor completely replaces the
previous setting of that descriptor in the MG.  Thus to retain information
from the previous setting the MGC must include that information in the new
setting.  If the MGC wishes to delete some information from the existing
descriptor, it merely resends the descriptor (in a Modify command) with the
unwanted information stripped out.
</quote>

Events, EventBuffer, Signals: I would hope we all have a good understanding
of the consequences of omitting items in these.

DigitMap: in section 7.1.14.1 we have this:

<quote>
A DigitMap value is updated by supplying a new value for a name that is
already defined.  Terminations presently using the digitmap shall continue
to use the old definition; subsequent EventsDescriptors specifying the name,
including any EventsDescriptor in the command containing the DigitMap
descriptor, shall use the new one.
</quote>

Topology: unlike the others, topology is cumulative in its effect.  I hope
the text makes this clear.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 9:52 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Megaco
Subject: RE: Default values of reserved value and reserved group

Hi Tom

I am not sure but this statement might not be true for the media descriptor
parameters. You will not pass the local and remote descriptor every time.
And
most of the operation realted to media are built (changing the mode, or
reserve
value resreve group operations etc ) on whatever has been allocated earlier.

Please clarify.

Regards
Vivek

www.hssworld.com

"Tom-PT Taylor" <[email-masked]> on 05/07/2002 06:48:44 PM

To:   Vivek Bansal/HSS@HSS
cc:   Megaco <[email-masked]>

Subject:  RE: Default values of reserved value and reserved group

We discussed this in Geneva, and the consensus of the admittedly small group
there was that you have to restate all the writable properties you want to
take on a non-default setting, every time you send down the descriptor they
reside in.  That applies to all descriptors, not just LocalControl.  I can't
remember now if we brought this issue to the list for confirmation.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 12:56 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Megaco
Subject: Default values of reserved value and reserved group

Hi Tom

I have some query regarding the default values of reserved value and
reserved
group. It is mentioned in the protocol that

"The default value of ReserveValue and ReserveGroup is False and new setting
of
the LocalControl Descriptor completely replaces the previous setting of that
descriptor in the MG."

Is this statement true only in case we have local descriptor specified in
the
media descriptor or is it valid every time the local control is received
from
MGC?

Also is it not possible just to change the other parameters like mode etc.
of
the local control descriptor without changing the values of reserved value
and
reserved group?

Regards
Vivek

www.hssworld.com

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 7 May 2002 10:44:55 -0400

<quote>

-----Original Message-----
From: Taylor, Tom-PT [CAR:B800:EXCH] 
Sent: Tuesday, May 07, 2002 10:37 AM
To: [email-masked]'
Cc: Megaco
Subject: [Megaco] RE: Default values of reserved value and reserved
group

From section 7.1.1:
<quote>
...

Modem: nothing mentioned

<quote>

<quote>

<quote>

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 9:52 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Megaco
Subject: RE: Default values of reserved value and reserved group

Hi Tom

Please clarify.

Regards
Vivek

www.hssworld.com

To:   Vivek Bansal/HSS@HSS

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 12:56 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Megaco
Subject: Default values of reserved value and reserved group

Hi Tom

Regards
Vivek

www.hssworld.com

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 7 May 2002 12:46:28 -0400

Yes.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 12:46 PM
To: Terry L Anderson
Cc: Taylor, Tom-PT [CAR:B800:EXCH]; Megaco
Subject: Re: [Megaco] RE: Default values of reserved value and reserved
group

So are you still saying that if the local control is present and in it if
reserved value or reserved group is absent, then they return to their
default
values?

Regards
Vivek

Terry L Anderson <[email-masked]> on 05/07/2002 09:42:13 PM

To:   Vivek Bansal/HSS@HSS
cc:   Tom-PT Taylor <[email-masked]>, Megaco <[email-masked]>

Subject:  Re: [Megaco] RE: Default values of reserved value and reserved
group

I think that the statement is meant to apply only to the lowest level
discriptors, that is, if LocalControl is included then any omitted
parameters return to default values; if SignalsDescriptor is included
then only the signals it defines continue, etc.  But it was NOT intended
to apply to the descriptors that simply contain other descriptors such
as MediaDescriptor or StreamsDescriptor.  It was NOT intended that
including a MediaDescriptor and omitting a LocalDescriptor returned
Local to some default or omitting the entire LocalControl would return
all parameters to default.  Perhaps the wording could have been more
precise about hierarchical descriptors.

And
reserve
> ------------------------------------------------------------------------
>
> We discussed this in Geneva, and the consensus of the admittedly small
> group there was that you have to restate all the writable properties
> you want to take on a non-default setting, every time you send down
> the descriptor they reside in.  That applies to all descriptors, not
> just LocalControl.  I can't remember now if we brought this issue to
> the list for confirmation.
>
> "The default value of ReserveValue and ReserveGroup is False and new
> setting of
> Is this statement true only in case we have local descriptor specified
> in the
> media descriptor or is it valid every time the local control is
> received from
> MGC?
>
> Also is it not possible just to change the other parameters like mode
> etc. of
> the local control descriptor without changing the values of reserved
> value and
> reserved group?
>
> Regards
> Vivek
>
> www.hssworld.com
>
>

--

------------------------------------------------------------
Terry L Anderson              mailto:[email-masked]
Tel:732.949.5628   Fax:732.949.7016
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2G-219A, 101 Crawfords Corner Rd, Holmdel, NJ 07733-3030
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 7 May 2002 12:46:28 -0400

Yes.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 12:46 PM
To: Terry L Anderson
Cc: Taylor, Tom-PT [CAR:B800:EXCH]; Megaco
Subject: Re: [Megaco] RE: Default values of reserved value and reserved
group

Regards
Vivek

To:   Vivek Bansal/HSS@HSS

And
reserve
group
>"The default value of ReserveValue and ReserveGroup is False and new
setting

--